import * as constants from './constants';
import axios from 'axios';
import {fromJS} from 'immutable';

const changeCategory = (data) => ({
    type: constants.GET_CATEGORY,
    data: fromJS(data),
});


export const getCategory = () => {
    return (dispatch) => {
        axios.get('/api/v1/category/list').then((res) => {
            if (res.code === 0) {
                dispatch(changeCategory(res.data));
            }
        })
    }
};

export const getUser = () => {
    return (dispatch) => {
        axios.get('/api/v1/user/master/simple').then((res) => {
            if (res.code === 0) {
                dispatch({
                    type: constants.GET_USER,
                    data: fromJS(res.data)
                });
            }
        })
    }
};

export const getConfig = () => {
    return (dispatch) => {
        axios.get('/api/v1/config/list').then((res) => {
            if (res.code === 0) {
                let data = {};
                res.data.forEach(item => {
                    if (item.configKey === "name") {
                        data.title = item.configValue;
                    }
                    if (item.configKey === "keywords") {
                        data.keywords = item.configValue;
                        let oMeta = document.createElement('meta');
                        oMeta.name = 'keywords';
                        oMeta.content = item.configValue;
                        document.getElementsByTagName('head')[0].appendChild(oMeta);
                    }
                    if (item.configKey === "description") {
                        data.description = item.configValue;
                        let Meta = document.createElement('meta');
                        Meta.name = 'description';
                        Meta.content = item.configValue;
                        document.getElementsByTagName('head')[0].appendChild(Meta);
                    }
                    if (item.configKey === "domain") {
                        data.domain = item.configValue;
                    }
                    if (item.configKey === "copyright") {
                        data.copyright = item.configValue;
                    }
                    if (item.configKey === "metas") {
                        data.metas = item.configValue;
                    }
                    if (item.configKey === "icp") {
                        data.icp = item.configValue;
                    }
                    if (item.configKey === "icpLink") {
                        data.icpLink = item.configValue
                    }
                });

                console.log("获取配置内容:" + data.icpLink)
                dispatch({
                    type: constants.GET_CONFIG,
                    data: fromJS(data)
                });
            }
        })
    }
};
